<template>
  <div :class="$style.layout">
    <div :class="$style.page">
      <slot name="page" />
    </div>
    <div v-if="$slots.search" :class="$style.search">
      <slot name="search" />
    </div>
  </div>
</template>

<style lang="scss" module>
.layout {
  display: flex;
  width: 100%;
  height: 100vh;
}

.page,
.search {
  flex: 1;
  height: 100%;
  overflow: auto;
}
</style>
